Package org.eclipse.lemminx.extensions.xsi.settings

## Enum XSISchemaLocationSplit

- java.lang.Object
- - java.lang.Enum<XSISchemaLocationSplit>
  - - org.eclipse.lemminx.extensions.xsi.settings.XSISchemaLocationSplit

All Implemented Interfaces:
  `Serializable`, `Comparable<XSISchemaLocationSplit>`

    public enum XSISchemaLocationSplit
    extends Enum<XSISchemaLocationSplit>

The xsi:schemaLocation split settings.

Author:
  Angelo ZERR

### Enum Constant Summary

Enum Constants
`none`
`onElement`
`onPair`

### Method Summary

All Methods Static Methods Concrete Methods
`static XSISchemaLocationSplit` `getSplit​(String value)`
`static XSISchemaLocationSplit` `getSplit​(XMLFormattingOptions formattingSettings)`
`static void` `setSplit​(XSISchemaLocationSplit split, XMLFormattingOptions formattingSettings)`
`static XSISchemaLocationSplit` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static XSISchemaLocationSplit[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### onElement

    public static final XSISchemaLocationSplit onElement

#### onPair

    public static final XSISchemaLocationSplit onPair

#### none

    public static final XSISchemaLocationSplit none

### Method Detail

#### values

    public static XSISchemaLocationSplit[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (XSISchemaLocationSplit c : XSISchemaLocationSplit.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static XSISchemaLocationSplit valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getSplit

    public static XSISchemaLocationSplit getSplit​(XMLFormattingOptions formattingSettings)

#### setSplit

    public static void setSplit​(XSISchemaLocationSplit split,
                                XMLFormattingOptions formattingSettings)

#### getSplit

    public static XSISchemaLocationSplit getSplit​(String value)